package com.yonge.cooleshow.biz.dal.props;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;

/**
 * 权限过滤
 */
@RefreshScope
@ConfigurationProperties("huifu")
public class HuifuProperties {
    /***
     * 汇付 控制台 主页面应用的app_id
     * @author liweifan
     * @updateTime 2022/3/31 11:19
     */
    private String appId;
    /***
     * 汇付 控制台->商户信息管理->证书管理中的API Key(prod模式的API KEY)
     * @author liweifan
     * @updateTime 2022/3/31 11:19
     */
    private String apiKey;
    /***
     * 汇付 控制台->商户信息管理->证书管理中的API Key(mock模式的API KEY)
     * @author liweifan
     * @updateTime 2022/3/31 11:19
     */
    private String mockApiKey;
    /***
     * 商户发起请求时，用于请求参数加签所需要的RSA私钥
     * @author liweifan
     * @updateTime 2022/3/31 11:24
     */
    private String rsaPrivateKey;
    /***
     * 付款成功回调地址
     * @author liweifan
     * @updateTime 2022/3/31 11:24
     */
    private String notifyUrl;
    /***
     * 微信appid
     * @author liweifan
     * @updateTime 2022/3/31 11:24
     */
    private String wxAppid;
    /***
     * 微信secret
     * @author liweifan
     * @updateTime 2022/3/31 11:24
     */
    private String wxSecret;

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getMockApiKey() {
        return mockApiKey;
    }

    public void setMockApiKey(String mockApiKey) {
        this.mockApiKey = mockApiKey;
    }

    public String getRsaPrivateKey() {
        return rsaPrivateKey;
    }

    public void setRsaPrivateKey(String rsaPrivateKey) {
        this.rsaPrivateKey = rsaPrivateKey;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getWxAppid() {
        return wxAppid;
    }

    public void setWxAppid(String wxAppid) {
        this.wxAppid = wxAppid;
    }

    public String getWxSecret() {
        return wxSecret;
    }

    public void setWxSecret(String wxSecret) {
        this.wxSecret = wxSecret;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

}
